/*
  Copyright (C) 2013 Jolla Ltd.
  Contact: Thomas Perl <thomas.perl@jollamobile.com>
  All rights reserved.

  You may use this file under the terms of BSD license as follows:

  Redistribution and use in source and binary forms, with or without
  modification, are permitted provided that the following conditions are met:
    * Redistributions of source code must retain the above copyright
      notice, this list of conditions and the following disclaimer.
    * Redistributions in binary form must reproduce the above copyright
      notice, this list of conditions and the following disclaimer in the
      documentation and/or other materials provided with the distribution.
    * Neither the name of the Jolla Ltd nor the
      names of its contributors may be used to endorse or promote products
      derived from this software without specific prior written permission.

  THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS "AS IS" AND
  ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED
  WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE
  DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT HOLDERS OR CONTRIBUTORS BE LIABLE FOR
  ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES
  (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES;
  LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND
  ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
  (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS
  SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
*/

import QtQuick 2.0
import Sailfish.Silica 1.0
//import "map_ini.js" as myinit


Page
{
    id: page
    property string txt;
    property double lat;
    property double lon;
    SilicaWebView
    {
            id: webView

            anchors
            {
                top: parent.top
                left: parent.left
                right: parent.right
                bottom: urlField.top
            }
//            url: "test.html"
//            javaScriptWindowObjects: QtObject {
//                     WebView.windowObjectName: "qml"

//                     function qmlCall() {
//                         console.log("This call is in QML!");
//                     }
//                 }

            url: "http://maps.googleapis.com/maps/api/staticmap?center=" + lat + "," + lon +"&zoom=9&size=270x400&scale=2&sensor=false&key=AIzaSyCszxLHrdHfqQLdHQkqGcu7pkcl9LB4w4Q&markers=" + lat + "," + lon +""
//            url: "marker.html"    //dynamic map with the marker

            // below - gmaps api js script, similar to one in marker.html (but w/o markers)
//            html: "<!DOCTYPE html>" +
//"<html>" +
//  "<head>" +
//    "<meta name=\"viewport\" content=\"initial-scale=1.0, user-scalable=no\" />" +
//    "<style type=\"text/css\">" +
//      "html { height: 100% }" +
//      "body { height: 100%; margin: 0; padding: 0 }" +
//      "#map_canvas { height: 100% }" +
//    "</style>" +
//    "<script type=\"text/javascript\"" +
//      "src=\"http://maps.googleapis.com/maps/api/js?key=AIzaSyCszxLHrdHfqQLdHQkqGcu7pkcl9LB4w4Q&sensor=false\">" +
//    "</script>" +
//    "<script type=\"text/javascript\"" +
//      "src=\"map_ini.js\">" +
//    "</script>" +
//  "</head>" +
//  "<body onload=\"initialize()\">" +
//    "<div id=\"map_canvas\" style=\"width:100%; height:100%\"></div>" +
//  "</body>" +
//"</html>"
     }

    //below - text field from the example, not important.
        TextField
        {
            id: urlField
            anchors
            {
                left: parent.left
                right: parent.right
                bottom: parent.bottom
            }
            inputMethodHints: Qt.ImhUrlCharactersOnly
            text: lat +", " + lon
            label: webView.title
            EnterKey.onClicked:
            {
                webView.url ="http://maps.googleapis.com/maps/api/staticmap?center="+text+"&zoom=11&size=270x400&scale=2&sensor=false&key=AIzaSyCszxLHrdHfqQLdHQkqGcu7pkcl9LB4w4Q"
                parent.focus = true
            }
        }

}



